Jump to content
Sign in to follow this  
OmarAQ

Install Runescape to play on Swiftkit

Recommended Posts

It's my first time downloading Swiftkit, unfortunately there has been a small bug that doesn't let me play on it.


When I press "Play now", before I can get to the login screen of Runescape it tells me that I need to download and install Runescape to my desktop to continue playing.. At first I thought this was a necessity in-order to play, but I did what they told me to and the "Install Runescape" screen still pops up. I watched several guides on YouTube and checked the Swiftkit forums, but none seem to have the same problem nor did anyone complain about it, I also tried re-installing Swiftkit but it's still the same.


Since I didn't see any topics about this I decided to post myself, and any help would be really appreciated.

Share this post


Link to post
Share on other sites

I'm going to put this in the Swiftkit forum since they are the best people to assist with this and they will probably check there first :).

  • Like 1

"Fight for what you believe in, and believe in what you're fighting for." Can games be art?

---

 

 

cWCZMZO.png

l1M6sfb.png

My blog here if you want to check out my Times articles and other writings! I always appreciate comments/feedback.

Share this post


Link to post
Share on other sites

I'm going to put this in the Swiftkit forum since they are the best people to assist with this and they will probably check there first :).

 

Thank you, much obliged brother.

Share this post


Link to post
Share on other sites

Hi,

This message pops up on the RuneScape site when you don't have Java Installed. Under the Download Client button, there should be a little text box saying 'Advanced Users' click that to be directed to the Java download page.

 

ViSUqLh.png

 

After installing Java, it should work fine :)


Mfgdjyb.png

Share this post


Link to post
Share on other sites

Hi,

This message pops up on the RuneScape site when you don't have Java Installed. Under the Download Client button, there should be a little text box saying 'Advanced Users' click that to be directed to the Java download page.

 

ViSUqLh.png

 

After installing Java, it should work fine :)

 

 

I did exactly as you said, after installing Java it even told me that I already have Java and even asked me if I want to replace it with this new one and I accepted.

I closed Swiftkit and re-opened it but the exact same screen comes up. Any other suggestions that might help?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.